backend:
  name: git-gateway
  branch: main
media_folder: "public/assets/img" 
public_folder: "/assets/img"
publish_mode: editorial_workflow
collections:

  - name: "show"
    label: "Live Shows"
    folder: "src/shows"
    create: true
    slug: "{{slug}}"
    path: "{{slug}}"
    fields:
      - { label: "Venue Title", name: "title", widget: "string" }
      - { label: "Date", name: "date", widget: "datetime" }
      - { label: "Author", name: "author", widget: "string", default: "Amply Team"}
      - { label: "Meta Description", name: "description", widget: "string" }
      - { label: "Featured Image", name: "image", widget: "image" }
      - { label: "Image caption", name: "imagealt", widget: "string"}
      - { label: "Coordinates", name: "coordinates", widget: "map" }
      - { label: "Category", name: "category", widget: "list"}
      - { label: "Tags", name: "tags", widget: "list", default: ["show"] }

  - name: "pages"
    label: "Pages"
    files:
      - file: "src/index.md"
        label: "Landing Page"
        name: "index"
        fields:
          - { label: Meta Title, name: title, widget: string }
          - { label: Meta Description, name: description, widget: string }
          - { label: Heading, name: heading, widget: string }
          - { label: Subheading, name: subheading, widget: string }
      - file: "src/about.md"
        label: "About"
        name: "about"
        fields:
          - { label: Meta Title, name: title, widget: string }
          - { label: Meta Description, name: description, widget: string }
          - { label: "Featured Image", name: "image", widget: "image" }
          - { label: "Image caption", name: "imagealt", widget: "string"}
          - { label: "Body", name: "body", widget: "markdown" }          
      - file: "src/contact.md"
        label: "Contact"
        name: "contact"
        fields:
          - { label: Meta Title, name: title, widget: string }
          - { label: Meta Description, name: description, widget: string }    

  - label: "Settings"
    name: "settings"
    editor:
      preview: false
    files:
      - label: "Navigation"
        name: "items"
        file: "src/_data/nav.json"
        fields:
          - label: Nav Items
            name: items
            widget: list
            allow_add: false
            collapsed: false
            fields:
              - { label: Title, name: text, widget: string }
              - { label: URL, name: url, widget: string }
      - label: "Meta Settings"
        name: "settings"
        file: "src/_data/site.json"
        fields:
          - { label: Name, name: name, widget: string }
          - { label: URL, name: url, widget: string }
          - { label: Author Name, name: authorName, widget: string }
          - { label: Author URL, name: authorUrl, widget: string }
          - { label: Favicon, name: favicon, widget: string }
      - label: "Social Links"
        name: "social"
        file: "src/_data/social.json"
        fields:
          - { label: Instagram, name: instagram, widget: string }
          - { label: Tiktok, name: tiktok, widget: string }
          - { label: X, name: x, widget: string }
          - { label: Youtube, name: youtube, widget: string }
          - { label: Reddit, name: reddit, widget: string }